Get stored credit cards for identity by identityReference
AuthorizationBasic <token>
Basic authentication is a simple authentication scheme built into the HTTP protocol. To use it, send your HTTP requests with an Authorization header that contains the word Basic followed by a space and a base64-encoded string username:password.Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==
In: header
Path Parameters
identityReferencestring
Your identityReference
Response Body
curl -X GET "https://staging1.abillify.dev/api/identities/string/creditcards"fetch("https://staging1.abillify.dev/api/identities/string/creditcards")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://staging1.abillify.dev/api/identities/string/creditcards"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://staging1.abillify.dev/api/identities/string/creditcards"
response = requests.request("GET", url)
print(response.text){
"account": "************1234",
"channel": "Bank XYZ",
"holder": "John Doe",
"id": "123456789",
"type": "VISA",
"validfrom": "2025-01-31T00:00:00Z",
"validto": "2025-12-31T00:00:00Z"
}{
"code": 400,
"details": [
{
"error": "Value for field 'debtor' is of wrong type, expected bigint.",
"fields": [
"debtor"
],
"hint": "Value must be a number or a string containing only a number."
}
],
"message": "InvalidValue, see error details",
"name": "ClientError",
"type": "ERR_INVALID_VALUE"
}{
"code": 400,
"details": [
{
"error": "Value for field 'debtor' is of wrong type, expected bigint.",
"fields": [
"debtor"
],
"hint": "Value must be a number or a string containing only a number."
}
],
"message": "InvalidValue, see error details",
"name": "ClientError",
"type": "ERR_INVALID_VALUE"
}